﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;

namespace DynamicColumnTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

public MainWindow()
{
    InitializeComponent();
    IEnumerable<Data> datas = GetData(); //Data Service로 부터 원본 객체를 얻는다.
    this.dataGrid.ItemsSource = new ArrayList(GetBindingData(datas).ToList());//바인딩을 위한 객체로 변환한다.
            
}


private IEnumerable<DataForBinding> GetBindingData(IEnumerable<Data> datas)
{
    IEnumerable<IGrouping<string, Data>> groupDatas = datas.GroupBy(data => data.Type);

    foreach (IGrouping<string, Data> group in groupDatas)
    {
        yield return new DataForBinding(group, datas.GroupBy(d => d.DateTime.Date).OrderBy(s => s.Key).Select(s => s.Key));
    }
}


        public IEnumerable<Data> GetData()
        {
            return new DataDictionary().GetData();
        }
    }
}
